%define name	smilutils
%define version	0.1.2
%define release 1mdk

%define major	0
%define libname %mklibname kinolegacy %major

Name: 	 	%{name}
Summary: 	Collection of command line tools for SMIL manipulation
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://users.pandora.be/acp/kino/smilutils.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnome32-devel libdv-devel libavc1394-devel
BuildRequires:	libquicktime0-devel libraw1394-devel
BuildRequires:	libpng-devel XFree86-devel libxpm-devel
BuildRequires:	libaudiofile-devel libxml2-devel zlib-devel 
Requires:	%libname

%description
SMIL is the file format kino uses to save projects. Here are a collection of
command line tools for SMIL manipulation.

The current release provides the following tools:
    * smil2raw
    * smil2yuv
    * smil2wav
    * xwd2raw
    * raw2webcam
    * raw2yuv
    * image2raw

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%prep
%setup -q

%build
%configure --enable-static=no
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_libdir}/*.la

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%changelog
* Sat Mar 22 2003 Austin Acton <aacton@yorku.ca> 0.1.2-1mdk
- initial package
